Subject: Re: [RFC] Moving toward smarter disabling of FPRs, VRs, and VSRs in the MSR

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 14 Mar 2009 09:45:51 +1100

> If these applications are aware they are heavy users (of FP, VMX, VSX)  
> can we not use a sysctl()?  Doing so wouldn't be that difficult.
> 
> I think trying to do something based on a runtime heuristic sounds a  
> bit iffy.

Another option might be simply to say that if an app has used FP, VMX or
VSX -once-, then it's likely to do it again and just keep re-enabling
it :-)

I'm serious here, do we know that many cases where these things are used
seldomly once in a while ?

An if we do, maybe then a simple counter in the task struct... if the
app re-enables it more than a few consecutive switches, then make it
stick. I have the feeling that would work out reasonably well.

Cheers,
Ben.